org.apache.cassandra.utils

## Class Throwables

- java.lang.Object
- - org.apache.cassandra.utils.Throwables

    public class Throwables
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Throwables()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Throwable` `close(java.lang.Throwable accumulate, java.lang.Iterable<? extends java.lang.AutoCloseable> closeables)`
`static com.google.common.base.Optional<java.io.IOException>` `extractIOExceptionCause(java.lang.Throwable t)`
`static void` `maybeFail(java.lang.Throwable fail)`
`static java.lang.Throwable` `merge(java.lang.Throwable existingFail, java.lang.Throwable newFail)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Throwables

    public Throwables()

### Method Detail

#### merge

    public static java.lang.Throwable merge(java.lang.Throwable existingFail,
                                            java.lang.Throwable newFail)

#### maybeFail

    public static void maybeFail(java.lang.Throwable fail)

#### close

    public static java.lang.Throwable close(java.lang.Throwable accumulate,
                                            java.lang.Iterable<? extends java.lang.AutoCloseable> closeables)

#### extractIOExceptionCause

    public static com.google.common.base.Optional<java.io.IOException> extractIOExceptionCause(java.lang.Throwable t)